> ## Documentation Index
> Fetch the complete documentation index at: https://docs.salesbricks.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List all subscription bricks

> Returns the bricks the customer is entitled to based on the current closed subscription agreements, along with their quantities.

For line items on an order that has not closed yet, use `GET /subscriptions/{subscription_id}`.



## OpenAPI

````yaml https://api.salesbricks.com/api/v2/openapi.yaml get /subscriptions/{subscription_id}/bricks
openapi: 3.0.3
info:
  title: Salesbricks REST API
  version: 2.0.0
  description: API reference for external integrations
servers:
  - url: https://api.salesbricks.com/api/v2
    description: Production
  - url: https://api.staging.salesbricks.com/api/v2
    description: Staging
security:
  - ApiKeyAuth: []
tags:
  - name: Subscriptions
    description: >-
      Operations related to subscription management, including creation,
      updates, and retrieving subscription details. Subscriptions can be
      upgraded to add / remove add-ons by using the POST
      /subscriptions/{subscription_id}/upgrade endpoint and can be recasted for
      replacing the current agreement using the POST
      /subscriptions/{subscription_id}/recast endpoint
  - name: Customers
    description: >-
      Operations related to customer management, including creation, updates,
      and managing customer person objects.
  - name: Invoices
    description: Operations related to subscription's invoicing details.
  - name: Plans
    description: >-
      Operations related to listing and getting plan details including bricks in
      the plan.
  - name: Payment Methods
    description: Operations related to subscription's payment method.
paths:
  /subscriptions/{subscription_id}/bricks:
    get:
      tags:
        - Subscription State
      summary: List all subscription bricks
      description: >-
        Returns the bricks the customer is entitled to based on the current
        closed subscription agreements, along with their quantities.


        For line items on an order that has not closed yet, use `GET
        /subscriptions/{subscription_id}`.
      operationId: listSubscriptionBricks
      parameters:
        - in: path
          name: subscription_id
          schema:
            type: string
            pattern: ^([a-zA-Z\d\-]+)$
          required: true
      responses:
        '200':
          description: No response body
components:
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: X-SALESBRICKS-KEY
      description: API key for authentication

````

## Related topics

- [List all subscription invoices](/api-reference/invoices/list-all-subscription-invoices.md)
- [List all subscription orders](/api-reference/subscription-history/list-all-subscription-orders.md)
- [List all subscription recast open orders](/api-reference/subscription-recasts/list-all-subscription-recast-open-orders.md)
